gtkglextmm: Gtk::GL::DrawingArea Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gtk::GL::DrawingArea Class Reference

`#include <drawingarea.h>`

Inheritance diagram for Gtk::GL::DrawingArea:

[legend]
Collaboration diagram for Gtk::GL::DrawingArea:

[legend]
List of all members.

## Public Member Functions
virtual | ~DrawingArea ()
| DrawingArea ()
| DrawingArea (const Glib::RefPtr< const Gdk::GL::Config > &glconfig, const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
| DrawingArea (const Glib::RefPtr< const Gdk::GL::Config > &glconfig, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)

## Detailed Description

OpenGL-capable DrawingArea widget.

## Constructor & Destructor Documentation

virtual Gtk::GL::DrawingArea::~DrawingArea | ( |  | ) | `[virtual]`

Gtk::GL::DrawingArea::DrawingArea | ( |  | ) | `[inline]`

| Create an DrawingArea widget which supports OpenGL rendering. This constructor does *NOT* call set_gl_capability() method, so that you should call it yourself to make instantiated DrawingArea OpenGL-capable.

Gtk::GL::DrawingArea::DrawingArea | ( | const Glib::RefPtr< const Gdk::GL::Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::GL::Context > & | share_list,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) | `[inline]`

  | Create an OpenGL-capable DrawingArea widget. Parameters:
  | glconfig | a Gdk::GL::Config.
  | share_list | the Gdk::GL::Context which to share display lists.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).

Gtk::GL::DrawingArea::DrawingArea | ( | const Glib::RefPtr< const Gdk::GL::Config > & | glconfig,
|  | bool | direct = `true`,
|  | int | render_type = `Gdk::GL::RGBA_TYPE`
| ) | `[inline]`

  | Create an OpenGL-capable DrawingArea widget. Parameters:
  | glconfig | a Gdk::GL::Config.
  | direct | whether rendering is to be done with a direct connection to the graphics system.
  | render_type | Gdk::GL::RGBA_TYPE or Gdk::GL::COLOR_INDEX_TYPE (currently not used).

The documentation for this class was generated from the following file:

- gtkmm/gl/drawingarea.h